cURL Python JavaScript Copy
curl -X POST 'https://api.e2enetworks.com/myaccount/api/v1/gpu/rag/assistant/?project_id=%3Cproject_id%3E&active_iam=%3Cactive_iam%3E&apikey=%3Capikey%3E' \
-H 'Authorization: Bearer <JWT>' \
-H 'Content-Type: application/json' \
-d '{
"name": "tir-rag-assistant-260326161850",
"prompt_config": {
"show_quote": true,
"prev_n_conv": 5,
"greeting": "Hi! I' \'' m your assistant, what can I do for you?",
" system_prompt": " You are an intelligent assistant. Please summarize the content of the knowledge base to answer the question. Please list the data in the knowledge base and answer in detail. When no relevant information is found in the knowledge base, your answer must include \"relevant information was not found in the knowledge base!\" Answers need to consider chat history." ,
"empty_response_prompt" : "The answer you are looking for is not found in the knowledge base!" ,
"query_optimization" : false
} ,
"similarity_threshold" : 0.2 ,
"vector_similarity_weight" : 0.7 ,
"top_n" : 8 ,
"isConversationsEnabled" : false ,
"top_k" : 1024 ,
"llm_model_source" : "genai" ,
"llm_max_tokens" : 131072 ,
"llm_setting" : {
"frequency_penalty" : 0.7 ,
"max_tokens" : 16000 ,
"presence_penalty" : 0.4 ,
"temperature" : 0.1 ,
"top_p" : 0.3
} ,
"kb_ids" : [
1299
] ,
"llm_id" : 1
} '